import junit.framework.Assert;

import org.testng.annotations.Test;


@Test
public class InterviewQuestionTest {
	
	@Test
	public void testReverseWord(){
		InterviewQuestion interviewQuestion = new InterviewQuestion();
		String actual = interviewQuestion.reverseWords("foo bar baz");
		Assert.assertEquals("baz bar foo", actual);

                /* Trivial case containing just one string */
		String actual = interviewQuestion.reverseWords("foo");
		Assert.assertEquals("foo", actual);

                /* Trivial case containing no strings */
		String actual = interviewQuestion.reverseWords("");
		Assert.assertEquals("", actual);

                /* Trivial case containing only a blank */
		String actual = interviewQuestion.reverseWords(" ");
		Assert.assertEquals("", actual);

                /* Trivial case containing only blanks */
		String actual = interviewQuestion.reverseWords("  ");
		Assert.assertEquals("", actual);

                /* Case with one leading blank */
		String actual = interviewQuestion.reverseWords(" baz bar foo");
		Assert.assertEquals("foo bar baz", actual);

                /* Case with one trailing blank */
		String actual = interviewQuestion.reverseWords("baz bar foo ");
		Assert.assertEquals("foo bar baz", actual);

                /* Case with leading and trailing blanks */
		String actual = interviewQuestion.reverseWords(" baz bar foo ");
		Assert.assertEquals("foo bar baz", actual);

                /* Case with extra blank inserted */
		String actual = interviewQuestion.reverseWords(" baz  bar foo ");
		Assert.assertEquals("foo bar baz", actual);
	}

}